Bug 67167 - xor.h has miscompiled assembly
Summary: xor.h has miscompiled assembly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-20 16:13 UTC by Michael K. Johnson
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 14:01:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch required to fix this bug (5.58 KB, patch)
2002-06-20 16:14 UTC, Michael K. Johnson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:128 normal SHIPPED_LIVE Moderate: Updated kernel with information security fixes, bug fixes, and updated drivers 2002-06-25 04:00:00 UTC

Description Michael K. Johnson 2002-06-20 16:13:41 UTC
There is the potential for RAID5 data corruption due to miscompilation
in xor.h.  We don't have reports of corruption that are necessarily
attributable to this bug; it may never trigger.  However, this change
should not affect the API and so should be included in the next AS
errata release as a potential data security fix without API change.

Comment 1 Michael K. Johnson 2002-06-20 16:14:33 UTC
Created attachment 61905 [details]
Patch required to fix this bug

Comment 2 Larry Woodman 2002-08-05 16:28:15 UTC
Fixed in AS2.1 errata kernel 2.4.9-e.8, released on 7/29.

Larry Woodman



Note You need to log in before you can comment on or make changes to this bug.